diff --git a/libRTI/hla-1_3/RTIambassador.cc b/libRTI/hla-1_3/RTIambassador.cc
index bd3c552d..a3f110ff 100644
--- a/libRTI/hla-1_3/RTIambassador.cc
+++ b/libRTI/hla-1_3/RTIambassador.cc
@@ -1141,15 +979,7 @@ RTI::EventRetractionHandle
 RTI::RTIambassador::sendInteraction(InteractionClassHandle theInteraction,
                                     const ParameterHandleValuePairSet& theParameters,
                                     const RTI::FedTime& theTime,
-                                    const char* theTag) throw(RTI::InteractionClassNotDefined,
-                                                              RTI::InteractionClassNotPublished,
-                                                              RTI::InteractionParameterNotDefined,
-                                                              RTI::InvalidFederationTime,
-                                                              RTI::FederateNotExecutionMember,
-                                                              RTI::ConcurrentAccessAttempted,
-                                                              RTI::SaveInProgress,
-                                                              RTI::RestoreInProgress,
-                                                              RTI::RTIinternalError)
+                                    const char* theTag)
 {
     M_Send_Interaction req, rep;
     RTI::EventRetractionHandle eventRetraction;
@@ -1184,14 +1014,7 @@ RTI::RTIambassador::sendInteraction(InteractionClassHandle theInteraction,
  */
 void RTI::RTIambassador::sendInteraction(InteractionClassHandle theInteraction,
                                          const ParameterHandleValuePairSet& theParameters,
-                                         const char* theTag) throw(RTI::RTIinternalError,
-                                                                   RTI::RestoreInProgress,
-                                                                   RTI::SaveInProgress,
-                                                                   RTI::ConcurrentAccessAttempted,
-                                                                   RTI::FederateNotExecutionMember,
-                                                                   RTI::InteractionParameterNotDefined,
-                                                                   RTI::InteractionClassNotPublished,
-                                                                   RTI::InteractionClassNotDefined)
+                                         const char* theTag)
 {
     M_Send_Interaction req, rep;
 
@@ -1212,14 +1035,7 @@ void RTI::RTIambassador::sendInteraction(InteractionClassHandle theInteraction,
 
 // ----------------------------------------------------------------------------
 RTI::EventRetractionHandle RTI::RTIambassador::deleteObjectInstance(
-    ObjectHandle theObject, const RTI::FedTime& theTime, const char* theTag) throw(RTI::ObjectNotKnown,
-                                                                                   RTI::DeletePrivilegeNotHeld,
-                                                                                   RTI::InvalidFederationTime,
-                                                                                   RTI::FederateNotExecutionMember,
-                                                                                   RTI::ConcurrentAccessAttempted,
-                                                                                   RTI::SaveInProgress,
-                                                                                   RTI::RestoreInProgress,
-                                                                                   RTI::RTIinternalError)
+    ObjectHandle theObject, const RTI::FedTime& theTime, const char* theTag)
 {
     M_Delete_Object_Instance req, rep;
     RTI::EventRetractionHandle eventRetraction;
@@ -1239,13 +1055,7 @@ RTI::EventRetractionHandle RTI::RTIambassador::deleteObjectInstance(
 
 // ----------------------------------------------------------------------------
 void RTI::RTIambassador::deleteObjectInstance(ObjectHandle theObject,
-                                              const char* theTag) throw(RTI::RTIinternalError,
-                                                                        RTI::RestoreInProgress,
-                                                                        RTI::SaveInProgress,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::FederateNotExecutionMember,
-                                                                        RTI::DeletePrivilegeNotHeld,
-                                                                        RTI::ObjectNotKnown)
+                                              const char* theTag)
 {
     M_Delete_Object_Instance req, rep;
 
@@ -1259,13 +1069,7 @@ void RTI::RTIambassador::deleteObjectInstance(ObjectHandle theObject,
 
 // ----------------------------------------------------------------------------
 // Local Delete Object Instance
-void RTI::RTIambassador::localDeleteObjectInstance(ObjectHandle theObject) throw(RTI::RTIinternalError,
-                                                                                 RTI::RestoreInProgress,
-                                                                                 RTI::SaveInProgress,
-                                                                                 RTI::ConcurrentAccessAttempted,
-                                                                                 RTI::FederateNotExecutionMember,
-                                                                                 RTI::FederateOwnsAttributes,
-                                                                                 RTI::ObjectNotKnown)
+void RTI::RTIambassador::localDeleteObjectInstance(ObjectHandle theObject)
 {
     throw RTI::RTIinternalError("unimplemented service localDeleteObjectInstance");
     M_Local_Delete_Object_Instance req, rep;
@@ -1279,15 +1083,7 @@ void RTI::RTIambassador::localDeleteObjectInstance(ObjectHandle theObject) throw
 void RTI::RTIambassador::changeAttributeTransportationType(
     ObjectHandle theObject,
     const AttributeHandleSet& theAttributes,
-    TransportationHandle theType) throw(RTI::RTIinternalError,
-                                        RTI::RestoreInProgress,
-                                        RTI::SaveInProgress,
-                                        RTI::ConcurrentAccessAttempted,
-                                        RTI::FederateNotExecutionMember,
-                                        RTI::InvalidTransportationHandle,
-                                        RTI::AttributeNotOwned,
-                                        RTI::AttributeNotDefined,
-                                        RTI::ObjectNotKnown)
+    TransportationHandle theType)
 {
     M_Change_Attribute_Transportation_Type req, rep;
     const std::vector<AttributeHandle>& AHS = certi_cast<AttributeHandleSetImp>()(theAttributes).getAttributeHandles();
@@ -1304,14 +1100,7 @@ void RTI::RTIambassador::changeAttributeTransportationType(
 // ----------------------------------------------------------------------------
 // Change Interaction Transportation Type
 void RTI::RTIambassador::changeInteractionTransportationType(
-    InteractionClassHandle theClass, TransportationHandle theType) throw(RTI::RTIinternalError,
-                                                                         RTI::RestoreInProgress,
-                                                                         RTI::SaveInProgress,
-                                                                         RTI::ConcurrentAccessAttempted,
-                                                                         RTI::FederateNotExecutionMember,
-                                                                         RTI::InvalidTransportationHandle,
-                                                                         RTI::InteractionClassNotPublished,
-                                                                         RTI::InteractionClassNotDefined)
+    InteractionClassHandle theClass, TransportationHandle theType)
 {
     M_Change_Interaction_Transportation_Type req, rep;
 
@@ -1323,14 +1112,7 @@ void RTI::RTIambassador::changeInteractionTransportationType(
 
 // ----------------------------------------------------------------------------
 // Request Attribute Value Update
-void RTI::RTIambassador::requestObjectAttributeValueUpdate(ObjectHandle theObject, const AttributeHandleSet& ahs) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::AttributeNotDefined,
-    RTI::ObjectNotKnown)
+void RTI::RTIambassador::requestObjectAttributeValueUpdate(ObjectHandle theObject, const AttributeHandleSet& ahs)
 {
     M_Request_Object_Attribute_Value_Update req, rep;
 
@@ -1344,13 +1126,7 @@ void RTI::RTIambassador::requestObjectAttributeValueUpdate(ObjectHandle theObjec
 
 // ----------------------------------------------------------------------------
 void RTI::RTIambassador::requestClassAttributeValueUpdate(
-    ObjectClassHandle theClass, const AttributeHandleSet& attrs) throw(RTI::RTIinternalError,
-                                                                       RTI::RestoreInProgress,
-                                                                       RTI::SaveInProgress,
-                                                                       RTI::ConcurrentAccessAttempted,
-                                                                       RTI::FederateNotExecutionMember,
-                                                                       RTI::AttributeNotDefined,
-                                                                       RTI::ObjectClassNotDefined)
+    ObjectClassHandle theClass, const AttributeHandleSet& attrs)
 {
     M_Request_Class_Attribute_Value_Update req, rep;
     const std::vector<AttributeHandle>& AHSv = certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles();
@@ -1368,14 +1144,7 @@ void RTI::RTIambassador::requestClassAttributeValueUpdate(
 // ----------------------------------------------------------------------------
 // UnConditional Attribute Ownership Divestiture
 void RTI::RTIambassador::unconditionalAttributeOwnershipDivestiture(
-    ObjectHandle theObject, const AttributeHandleSet& attrs) throw(RTI::ObjectNotKnown,
-                                                                   RTI::AttributeNotDefined,
-                                                                   RTI::AttributeNotOwned,
-                                                                   RTI::FederateNotExecutionMember,
-                                                                   RTI::ConcurrentAccessAttempted,
-                                                                   RTI::SaveInProgress,
-                                                                   RTI::RestoreInProgress,
-                                                                   RTI::RTIinternalError)
+    ObjectHandle theObject, const AttributeHandleSet& attrs)
 {
     M_Unconditional_Attribute_Ownership_Divestiture req, rep;
     const std::vector<AttributeHandle>& AHSv = certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles();
@@ -1394,15 +1163,7 @@ void RTI::RTIambassador::unconditionalAttributeOwnershipDivestiture(
 void RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(
     ObjectHandle theObject,
     const AttributeHandleSet& attrs,
-    const char* theTag) throw(RTI::ObjectNotKnown,
-                              RTI::AttributeNotDefined,
-                              RTI::AttributeNotOwned,
-                              RTI::AttributeAlreadyBeingDivested,
-                              RTI::FederateNotExecutionMember,
-                              RTI::ConcurrentAccessAttempted,
-                              RTI::SaveInProgress,
-                              RTI::RestoreInProgress,
-                              RTI::RTIinternalError)
+    const char* theTag)
 {
     M_Negotiated_Attribute_Ownership_Divestiture req, rep;
     const std::vector<AttributeHandle>& AHSv = certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles();
@@ -1424,16 +1185,7 @@ void RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(
 // Attribute Ownership Acquisition
 void RTI::RTIambassador::attributeOwnershipAcquisition(ObjectHandle theObject,
                                                        const AttributeHandleSet& desiredAttributes,
-                                                       const char* theTag) throw(RTI::ObjectNotKnown,
-                                                                                 RTI::ObjectClassNotPublished,
-                                                                                 RTI::AttributeNotDefined,
-                                                                                 RTI::AttributeNotPublished,
-                                                                                 RTI::FederateOwnsAttributes,
-                                                                                 RTI::FederateNotExecutionMember,
-                                                                                 RTI::ConcurrentAccessAttempted,
-                                                                                 RTI::SaveInProgress,
-                                                                                 RTI::RestoreInProgress,
-                                                                                 RTI::RTIinternalError)
+                                                       const char* theTag)
 {
     M_Attribute_Ownership_Acquisition req, rep;
 
@@ -1449,15 +1201,7 @@ void RTI::RTIambassador::attributeOwnershipAcquisition(ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 // Attribute Ownership Release Response
 RTI::AttributeHandleSet* RTI::RTIambassador::attributeOwnershipReleaseResponse(
-    ObjectHandle theObject, const AttributeHandleSet& attrs) throw(RTI::ObjectNotKnown,
-                                                                   RTI::AttributeNotDefined,
-                                                                   RTI::AttributeNotOwned,
-                                                                   RTI::FederateWasNotAskedToReleaseAttribute,
-                                                                   RTI::FederateNotExecutionMember,
-                                                                   RTI::ConcurrentAccessAttempted,
-                                                                   RTI::SaveInProgress,
-                                                                   RTI::RestoreInProgress,
-                                                                   RTI::RTIinternalError)
+    ObjectHandle theObject, const AttributeHandleSet& attrs)
 {
     M_Attribute_Ownership_Release_Response req, rep;
     AttributeHandleSetImp* retval;
@@ -1481,15 +1225,7 @@ RTI::AttributeHandleSet* RTI::RTIambassador::attributeOwnershipReleaseResponse(
 // ----------------------------------------------------------------------------
 // Cancel Negotiated Attribute Ownership Divestiture
 void RTI::RTIambassador::cancelNegotiatedAttributeOwnershipDivestiture(
-    ObjectHandle theObject, const AttributeHandleSet& attrs) throw(RTI::ObjectNotKnown,
-                                                                   RTI::AttributeNotDefined,
-                                                                   RTI::AttributeNotOwned,
-                                                                   RTI::AttributeDivestitureWasNotRequested,
-                                                                   RTI::FederateNotExecutionMember,
-                                                                   RTI::ConcurrentAccessAttempted,
-                                                                   RTI::SaveInProgress,
-                                                                   RTI::RestoreInProgress,
-                                                                   RTI::RTIinternalError)
+    ObjectHandle theObject, const AttributeHandleSet& attrs)
 {
     M_Cancel_Negotiated_Attribute_Ownership_Divestiture req, rep;
 
@@ -1502,15 +1238,7 @@ void RTI::RTIambassador::cancelNegotiatedAttributeOwnershipDivestiture(
 // ----------------------------------------------------------------------------
 // Cancel Attribute Ownership Acquisition
 void RTI::RTIambassador::cancelAttributeOwnershipAcquisition(
-    ObjectHandle theObject, const AttributeHandleSet& attrs) throw(RTI::ObjectNotKnown,
-                                                                   RTI::AttributeNotDefined,
-                                                                   RTI::AttributeAlreadyOwned,
-                                                                   RTI::AttributeAcquisitionWasNotRequested,
-                                                                   RTI::FederateNotExecutionMember,
-                                                                   RTI::ConcurrentAccessAttempted,
-                                                                   RTI::SaveInProgress,
-                                                                   RTI::RestoreInProgress,
-                                                                   RTI::RTIinternalError)
+    ObjectHandle theObject, const AttributeHandleSet& attrs)
 {
     M_Cancel_Attribute_Ownership_Acquisition req, rep;
 
@@ -1523,17 +1251,7 @@ void RTI::RTIambassador::cancelAttributeOwnershipAcquisition(
 // ----------------------------------------------------------------------------
 // Attribute Ownership Acquisition If Available
 void RTI::RTIambassador::attributeOwnershipAcquisitionIfAvailable(
-    ObjectHandle theObject, const AttributeHandleSet& desired) throw(RTI::ObjectNotKnown,
-                                                                     RTI::ObjectClassNotPublished,
-                                                                     RTI::AttributeNotDefined,
-                                                                     RTI::AttributeNotPublished,
-                                                                     RTI::FederateOwnsAttributes,
-                                                                     RTI::AttributeAlreadyBeingAcquired,
-                                                                     RTI::FederateNotExecutionMember,
-                                                                     RTI::ConcurrentAccessAttempted,
-                                                                     RTI::SaveInProgress,
-                                                                     RTI::RestoreInProgress,
-                                                                     RTI::RTIinternalError)
+    ObjectHandle theObject, const AttributeHandleSet& desired)
 {
     M_Attribute_Ownership_Acquisition_If_Available req, rep;
 
@@ -1546,13 +1264,7 @@ void RTI::RTIambassador::attributeOwnershipAcquisitionIfAvailable(
 // ----------------------------------------------------------------------------
 // Query Attribute Ownership
 void RTI::RTIambassador::queryAttributeOwnership(ObjectHandle theObject,
-                                                 AttributeHandle theAttribute) throw(RTI::RTIinternalError,
-                                                                                     RTI::RestoreInProgress,
-                                                                                     RTI::SaveInProgress,
-                                                                                     RTI::ConcurrentAccessAttempted,
-                                                                                     RTI::FederateNotExecutionMember,
-                                                                                     RTI::AttributeNotDefined,
-                                                                                     RTI::ObjectNotKnown)
+                                                 AttributeHandle theAttribute)
 {
     M_Query_Attribute_Ownership req, rep;
 
@@ -1566,13 +1278,7 @@ void RTI::RTIambassador::queryAttributeOwnership(ObjectHandle theObject,
 // 5.16 Is Attribute Owned By Federate
 RTI::Boolean
 RTI::RTIambassador::isAttributeOwnedByFederate(ObjectHandle theObject,
-                                               AttributeHandle theAttribute) throw(RTI::ObjectNotKnown,
-                                                                                   RTI::AttributeNotDefined,
-                                                                                   RTI::FederateNotExecutionMember,
-                                                                                   RTI::ConcurrentAccessAttempted,
-                                                                                   RTI::SaveInProgress,
-                                                                                   RTI::RestoreInProgress,
-                                                                                   RTI::RTIinternalError)
+                                               AttributeHandle theAttribute)
 {
     M_Is_Attribute_Owned_By_Federate req, rep;
 
@@ -1590,16 +1296,7 @@ RTI::RTIambassador::isAttributeOwnedByFederate(ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 // Enable Time Regulation
 void RTI::RTIambassador::enableTimeRegulation(const RTI::FedTime& theFederateTime,
-                                              const RTI::FedTime& theLookahead) throw(RTI::RTIinternalError,
-                                                                                      RTI::RestoreInProgress,
-                                                                                      RTI::SaveInProgress,
-                                                                                      RTI::FederateNotExecutionMember,
-                                                                                      RTI::ConcurrentAccessAttempted,
-                                                                                      RTI::InvalidLookahead,
-                                                                                      RTI::InvalidFederationTime,
-                                                                                      RTI::TimeAdvanceAlreadyInProgress,
-                                                                                      RTI::EnableTimeRegulationPending,
-                                                                                      RTI::TimeRegulationAlreadyEnabled)
+                                              const RTI::FedTime& theLookahead)
 {
     M_Enable_Time_Regulation req, rep;
 
@@ -1611,12 +1308,7 @@ void RTI::RTIambassador::enableTimeRegulation(const RTI::FedTime& theFederateTim
 
 // ----------------------------------------------------------------------------
 // Disable Time Regulation
-void RTI::RTIambassador::disableTimeRegulation() throw(RTI::RTIinternalError,
-                                                       RTI::RestoreInProgress,
-                                                       RTI::SaveInProgress,
-                                                       RTI::FederateNotExecutionMember,
-                                                       RTI::ConcurrentAccessAttempted,
-                                                       RTI::TimeRegulationWasNotEnabled)
+void RTI::RTIambassador::disableTimeRegulation()
 {
     M_Disable_Time_Regulation req, rep;
 
@@ -1625,14 +1317,7 @@ void RTI::RTIambassador::disableTimeRegulation() throw(RTI::RTIinternalError,
 
 // ----------------------------------------------------------------------------
 // Enable Time Constrained
-void RTI::RTIambassador::enableTimeConstrained() throw(RTI::TimeConstrainedAlreadyEnabled, //not implemented
-                                                       RTI::EnableTimeConstrainedPending, //not implemented
-                                                       RTI::TimeAdvanceAlreadyInProgress, //not implemented
-                                                       RTI::FederateNotExecutionMember,
-                                                       RTI::ConcurrentAccessAttempted,
-                                                       RTI::SaveInProgress,
-                                                       RTI::RestoreInProgress,
-                                                       RTI::RTIinternalError)
+void RTI::RTIambassador::enableTimeConstrained()
 {
     M_Enable_Time_Constrained req, rep;
 
@@ -1641,12 +1326,7 @@ void RTI::RTIambassador::enableTimeConstrained() throw(RTI::TimeConstrainedAlrea
 
 // ----------------------------------------------------------------------------
 // Disable Time Constrained
-void RTI::RTIambassador::disableTimeConstrained() throw(RTI::TimeConstrainedWasNotEnabled, //not implemented
-                                                        RTI::FederateNotExecutionMember,
-                                                        RTI::ConcurrentAccessAttempted,
-                                                        RTI::SaveInProgress,
-                                                        RTI::RestoreInProgress,
-                                                        RTI::RTIinternalError)
+void RTI::RTIambassador::disableTimeConstrained()
 {
     M_Disable_Time_Constrained req, rep;
     privateRefs->executeService(&req, &rep);
@@ -1654,17 +1334,7 @@ void RTI::RTIambassador::disableTimeConstrained() throw(RTI::TimeConstrainedWasN
 
 // ----------------------------------------------------------------------------
 // Time Advance Request
-void RTI::RTIambassador::timeAdvanceRequest(const RTI::FedTime& theTime) throw(
-    RTI::TimeAdvanceAlreadyInProgress,
-    RTI::FederationTimeAlreadyPassed,
-    RTI::InvalidFederationTime,
-    RTI::EnableTimeRegulationPending, //not implemented
-    RTI::EnableTimeConstrainedPending, //not implemented
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::SaveInProgress,
-    RTI::RestoreInProgress,
-    RTI::RTIinternalError)
+void RTI::RTIambassador::timeAdvanceRequest(const RTI::FedTime& theTime)
 {
     M_Time_Advance_Request req, rep;
 
@@ -1674,17 +1344,7 @@ void RTI::RTIambassador::timeAdvanceRequest(const RTI::FedTime& theTime) throw(
 
 // ----------------------------------------------------------------------------
 // Time Advance Request Available
-void RTI::RTIambassador::timeAdvanceRequestAvailable(const RTI::FedTime& theTime) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::EnableTimeConstrainedPending,
-    RTI::EnableTimeRegulationPending,
-    RTI::TimeAdvanceAlreadyInProgress,
-    RTI::FederationTimeAlreadyPassed,
-    RTI::InvalidFederationTime)
+void RTI::RTIambassador::timeAdvanceRequestAvailable(const RTI::FedTime& theTime)
 {
     M_Time_Advance_Request_Available req, rep;
 
@@ -1695,17 +1355,7 @@ void RTI::RTIambassador::timeAdvanceRequestAvailable(const RTI::FedTime& theTime
 
 // ----------------------------------------------------------------------------
 // Next Event Request
-void RTI::RTIambassador::nextEventRequest(const RTI::FedTime& theTime) throw(
-    RTI::TimeAdvanceAlreadyInProgress,
-    RTI::FederationTimeAlreadyPassed,
-    RTI::InvalidFederationTime,
-    RTI::EnableTimeRegulationPending, //not implemented
-    RTI::EnableTimeConstrainedPending, //not implemented
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::SaveInProgress,
-    RTI::RestoreInProgress,
-    RTI::RTIinternalError)
+void RTI::RTIambassador::nextEventRequest(const RTI::FedTime& theTime)
 {
     M_Next_Event_Request req, rep;
 
@@ -1715,16 +1365,7 @@ void RTI::RTIambassador::nextEventRequest(const RTI::FedTime& theTime) throw(
 
 // ----------------------------------------------------------------------------
 // Next Event Request Available
-void RTI::RTIambassador::nextEventRequestAvailable(const RTI::FedTime& theTime) throw(RTI::RTIinternalError,
-                                                                                      RTI::RestoreInProgress,
-                                                                                      RTI::SaveInProgress,
-                                                                                      RTI::ConcurrentAccessAttempted,
-                                                                                      RTI::FederateNotExecutionMember,
-                                                                                      RTI::EnableTimeConstrainedPending,
-                                                                                      RTI::EnableTimeRegulationPending,
-                                                                                      RTI::TimeAdvanceAlreadyInProgress,
-                                                                                      RTI::FederationTimeAlreadyPassed,
-                                                                                      RTI::InvalidFederationTime)
+void RTI::RTIambassador::nextEventRequestAvailable(const RTI::FedTime& theTime)
 {
     M_Next_Event_Request_Available req, rep;
 
@@ -1734,17 +1375,7 @@ void RTI::RTIambassador::nextEventRequestAvailable(const RTI::FedTime& theTime)
 
 // ----------------------------------------------------------------------------
 // Flush Queue Request
-void RTI::RTIambassador::flushQueueRequest(const RTI::FedTime& theTime) throw(
-    RTI::TimeAdvanceAlreadyInProgress,
-    RTI::FederationTimeAlreadyPassed,
-    RTI::InvalidFederationTime,
-    RTI::EnableTimeRegulationPending, //not implemented
-    RTI::EnableTimeConstrainedPending, //not implemented
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::SaveInProgress,
-    RTI::RestoreInProgress,
-    RTI::RTIinternalError)
+void RTI::RTIambassador::flushQueueRequest(const RTI::FedTime& theTime)
 {
     throw RTI::RTIinternalError("Unimplemented Service flushQueueRequest");
     M_Flush_Queue_Request req, rep;
@@ -1756,12 +1387,7 @@ void RTI::RTIambassador::flushQueueRequest(const RTI::FedTime& theTime) throw(
 
 // ----------------------------------------------------------------------------
 // Enable Asynchronous Delivery
-void RTI::RTIambassador::enableAsynchronousDelivery() throw(RTI::RTIinternalError,
-                                                            RTI::RestoreInProgress,
-                                                            RTI::SaveInProgress,
-                                                            RTI::ConcurrentAccessAttempted,
-                                                            RTI::FederateNotExecutionMember,
-                                                            RTI::AsynchronousDeliveryAlreadyEnabled)
+void RTI::RTIambassador::enableAsynchronousDelivery()
 {
     // throw AsynchronousDeliveryAlreadyEnabled("Default value (non HLA)");
 
